#ifndef BULLET_H
#define BULLET_H

#include <cstdint>
#include <num/num.h>


enum
{
    BULLET_NORMAL,
    BULLET_BLUE,
    BULLET_LASER,
    BULLET_ENEMY_BLUE,
};


class Bullet
{
    public:
        Bullet( uint16_t lx, uint16_t ly, int16_t dx, int16_t dy, uint8_t id );
        ~Bullet();
        void Update( float dt );
        void Render();

        uint8_t ID;

        libnum::num x, y;
        libnum::num sx, sy;

        uint8_t strength;

        bool toberemoved;
};

#endif //PARTICLES_H