#ifndef FAST_TRIG_H
#define FAST_TRIG_H


#include <cmath>
#include <num/num.h>


#define PI 3.141592


void Fast_Trig_Init( void );

libnum::num FastCosInt( int16_t angle );
libnum::num FastSinInt( int16_t angle );
libnum::num FastTanInt( int16_t angle );


#endif
